Package com.smartgwt.client.util.workflow

# Class SetPropertiesTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.Task
com.smartgwt.client.util.workflow.ComponentTask
com.smartgwt.client.util.workflow.SetPropertiesTask

All Implemented Interfaces:
  `HasHandlers`

public class SetPropertiesTask extends ComponentTask
Gets the value properties from a component and makes them available within the workflow as the `last task output`.

For a canvas the `componentId` specifies everything necessary to identify the target. For a form control more information is needed. The `componentId` identifies the container (i.e. DynamicForm) and the individual field is specified as `targetFieldName`.

SetPropertiesTask is an advanced and rarely used task. If you need a component property to be dynamic, you can configure that property as a Dynamic Property without the need for a Workflow. Dynamic Properties created this way automatically update as your users make changes.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetPropertiesTask()`
  `SetPropertiesTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `static SetPropertiesTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `PropertyValue[]`
  `getProperties()`
  Properties and associated values to be set on `componentId`.
  `String`
  `getTargetFieldName()`
  If `componentId` targets a DynamicForm, this property optionally specifies the name of the target field.
  `SetPropertiesTask`
  `setProperties(PropertyValue... properties)`
  Properties and associated values to be set on `componentId`.
  `SetPropertiesTask`
  `setTargetFieldName(String targetFieldName)`
  If `componentId` targets a DynamicForm, this property optionally specifies the name of the target field.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

  `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

  ### Methods inherited from class com.smartgwt.client.util.workflow.Task

  `getExpressionValue, getInputFieldList, getInputRecord, getInputs, getInputsAsString, getInputsAsStringArray, getOutputExpression, getOutputField, getOutputFieldList, getState, getStrictPaths, setInputFieldList, setInputs, setInputs, setInputs, setOutput, setOutputExpression, setOutputField, setOutputFieldList, setState, setStrictPaths`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetPropertiesTask

    public SetPropertiesTask()

  - ### SetPropertiesTask

    public SetPropertiesTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SetPropertiesTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ComponentTask`

  - ### setProperties

    public SetPropertiesTask setProperties(PropertyValue... properties) throws IllegalStateException
    Properties and associated values to be set on `componentId`.
    Parameters:
      `properties` - New properties value. Default value is null
    Returns:
      `SetPropertiesTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getProperties

    public PropertyValue[] getProperties()
    Properties and associated values to be set on `componentId`.
    Returns:
      Current properties value. Default value is null

  - ### setTargetFieldName

    public SetPropertiesTask setTargetFieldName(String targetFieldName) throws IllegalStateException
    If `componentId` targets a DynamicForm, this property optionally specifies the name of the target field.
    Parameters:
      `targetFieldName` - New targetFieldName value. Default value is null
    Returns:
      `SetPropertiesTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `FieldName`

  - ### getTargetFieldName

    public String getTargetFieldName()
    If `componentId` targets a DynamicForm, this property optionally specifies the name of the target field.
    Returns:
      Current targetFieldName value. Default value is null
    See Also:
      - `FieldName`